Bug 1785973 - startx fails due to a bad path in latest update to plasmashell 5.17.4
Summary: startx fails due to a bad path in latest update to plasmashell 5.17.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 31
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-22 22:12 UTC by gjcarter2
Modified: 2020-01-13 02:19 UTC (History)
8 users (show)

Fixed In Version: plasma-workspace-5.17.5-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-13 02:19:52 UTC
Type: Bug


Attachments (Terms of Use)
Modified File attached (2.27 KB, application/x-shellscript)
2019-12-22 22:12 UTC, gjcarter2
no flags Details

Description gjcarter2 2019-12-22 22:12:08 UTC
Created attachment 1647246 [details]
Modified File attached

Description of problem:
startx fails.

Version-Release number of selected component (if applicable):
KDE 4.17.4

How reproducible:
type startx

Steps to Reproduce:
1. manually start KDE
2. configure the /etc/sysconfig/desktop with appropriate settings for KDE
3. startx

Actual results:
Plasma shell fails to boot

Expected results:
Plasmashell should boot.

Additional info:
Corrected via editing the XClients file:

/etc/X11/xinit/Xclients

Change the definition of the STARTKDE line to: 

STARTKDE="$(type -p startplasma-x11)"

Comment 1 Rex Dieter 2019-12-23 16:32:15 UTC
%changelog
* Mon Dec 23 2019 Rex Dieter <rdieter@fedoraproject.org> - 5.17.4-2
- provide compat /usr/bin/startkde symlink (#1785826, #1785973)

Comment 2 Fedora Update System 2019-12-23 19:43:38 UTC
FEDORA-2019-499b84d03f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-499b84d03f

Comment 3 Fedora Update System 2020-01-04 22:23:05 UTC
plasma-workspace-5.17.4-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-499b84d03f

Comment 4 Fedora Update System 2020-01-09 01:07:46 UTC
bluedevil-5.17.5-1.fc31, breeze-gtk-5.17.5-1.fc31, grub2-breeze-theme-5.17.5-1.fc31, kactivitymanagerd-5.17.5-1.fc31, kde-cli-tools-5.17.5-1.fc31, kde-gtk-config-5.17.5-1.fc31, kdecoration-5.17.5-1.fc31, kdeplasma-addons-5.17.5-1.fc31, kgamma-5.17.5-1.fc31, khotkeys-5.17.5-1.fc31, kinfocenter-5.17.5-1.fc31, kmenuedit-5.17.5-1.fc31, kscreen-5.17.5-1.fc31, kscreenlocker-5.17.5-1.fc31, ksshaskpass-5.17.5-1.fc31, ksysguard-5.17.5-1.fc31, kwayland-integration-5.17.5-1.fc31, kwin-5.17.5-1.fc31, kwrited-5.17.5-1.fc31, libkscreen-qt5-5.17.5-1.fc31, libksysguard-5.17.5-1.fc31, pam-kwallet-5.17.5-1.fc31, plasma-breeze-5.17.5-1.fc31, plasma-browser-integration-5.17.5-1.fc31, plasma-desktop-5.17.5-1.fc31, plasma-discover-5.17.5-1.fc31, plasma-drkonqi-5.17.5-1.fc31, plasma-integration-5.17.5-1.fc31, plasma-milou-5.17.5-1.fc31, plasma-nm-5.17.5-1.fc31, plasma-oxygen-5.17.5-1.fc31, plasma-pa-5.17.5-1.fc31, plasma-sdk-5.17.5-1.fc31, plasma-systemsettings-5.17.5-1.fc31, plasma-user-manager-5.17.5-1.fc31, plasma-vault-5.17.5-1.fc31, plasma-workspace-5.17.5-1.fc31, plasma-workspace-wallpapers-5.17.5-1.fc31, plymouth-kcm-5.17.5-1.fc31, plymouth-theme-breeze-5.17.5-1.fc31, polkit-kde-5.17.5-1.fc31, powerdevil-5.17.5-1.fc31, sddm-kcm-5.17.5-1.fc31, xdg-desktop-portal-kde-5.17.5-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-515c3c4b9d

Comment 5 Fedora Update System 2020-01-13 02:19:52 UTC
bluedevil-5.17.5-1.fc31, breeze-gtk-5.17.5-1.fc31, grub2-breeze-theme-5.17.5-1.fc31, kactivitymanagerd-5.17.5-1.fc31, kde-cli-tools-5.17.5-1.fc31, kde-gtk-config-5.17.5-1.fc31, kdecoration-5.17.5-1.fc31, kdeplasma-addons-5.17.5-1.fc31, kgamma-5.17.5-1.fc31, khotkeys-5.17.5-1.fc31, kinfocenter-5.17.5-1.fc31, kmenuedit-5.17.5-1.fc31, kscreen-5.17.5-1.fc31, kscreenlocker-5.17.5-1.fc31, ksshaskpass-5.17.5-1.fc31, ksysguard-5.17.5-1.fc31, kwayland-integration-5.17.5-1.fc31, kwin-5.17.5-1.fc31, kwrited-5.17.5-1.fc31, libkscreen-qt5-5.17.5-1.fc31, libksysguard-5.17.5-1.fc31, pam-kwallet-5.17.5-1.fc31, plasma-breeze-5.17.5-1.fc31, plasma-browser-integration-5.17.5-1.fc31, plasma-desktop-5.17.5-1.fc31, plasma-discover-5.17.5-1.fc31, plasma-drkonqi-5.17.5-1.fc31, plasma-integration-5.17.5-1.fc31, plasma-milou-5.17.5-1.fc31, plasma-nm-5.17.5-1.fc31, plasma-oxygen-5.17.5-1.fc31, plasma-pa-5.17.5-1.fc31, plasma-sdk-5.17.5-1.fc31, plasma-systemsettings-5.17.5-1.fc31, plasma-user-manager-5.17.5-1.fc31, plasma-vault-5.17.5-1.fc31, plasma-workspace-5.17.5-1.fc31, plasma-workspace-wallpapers-5.17.5-1.fc31, plymouth-kcm-5.17.5-1.fc31, plymouth-theme-breeze-5.17.5-1.fc31, polkit-kde-5.17.5-1.fc31, powerdevil-5.17.5-1.fc31, sddm-kcm-5.17.5-1.fc31, xdg-desktop-portal-kde-5.17.5-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.